Update Voice
curl --request PUT \
--url https://api.eqho.ai/v1/voices/{voice_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"account_ids": [
"123",
"456"
],
"min_tier": 0
}
'import requests
url = "https://api.eqho.ai/v1/voices/{voice_id}"
payload = {
"account_ids": ["123", "456"],
"min_tier": 0
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account_ids: ['123', '456'], min_tier: 0})
};
fetch('https://api.eqho.ai/v1/voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/voices/{voice_id}"
payload := strings.NewReader("{\n \"account_ids\": [\n \"123\",\n \"456\"\n ],\n \"min_tier\": 0\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"elevenlabs": {
"accent": "american",
"age": "young",
"description": "calm",
"gender": "female",
"use_case": "narration"
},
"id": "65b2be7d81b92590b77ae0b7",
"min_tier": 0,
"name": "Rachel",
"preview_url": "https://eqho.ai",
"provider_voice_id": "21m00Tcm4TlvDq8ikWAM",
"type": "elevenlabs"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Voices
Update Voice
PUT
/
v1
/
voices
/
{voice_id}
Update Voice
curl --request PUT \
--url https://api.eqho.ai/v1/voices/{voice_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"account_ids": [
"123",
"456"
],
"min_tier": 0
}
'import requests
url = "https://api.eqho.ai/v1/voices/{voice_id}"
payload = {
"account_ids": ["123", "456"],
"min_tier": 0
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account_ids: ['123', '456'], min_tier: 0})
};
fetch('https://api.eqho.ai/v1/voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/voices/{voice_id}"
payload := strings.NewReader("{\n \"account_ids\": [\n \"123\",\n \"456\"\n ],\n \"min_tier\": 0\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"elevenlabs": {
"accent": "american",
"age": "young",
"description": "calm",
"gender": "female",
"use_case": "narration"
},
"id": "65b2be7d81b92590b77ae0b7",
"min_tier": 0,
"name": "Rachel",
"preview_url": "https://eqho.ai",
"provider_voice_id": "21m00Tcm4TlvDq8ikWAM",
"type": "elevenlabs"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
Response
Successful Response
Available options:
elevenlabs, cartesia, openai Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?